Bug 733581 - Translation Editor: Clicking on search field should save the unsave content.
Translation Editor: Clicking on search field should save the unsave content.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4-RC
Unspecified Unspecified
medium Severity medium
: Sprint-27
: 1.4.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: 720853 739422
  Show dependency treegraph
 
Reported: 2011-08-26 02:11 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-08-26 02:11:45 EDT
Description of problem:
During the translating, translator might need to search some relevant text by clicking on search field. Yet the translator want to see his/her text saved.

Version-Release number of selected component (if applicable):
1.4-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. Go to Translation editor
2. Type "hi" in cell editor without saving 
3. Click on search field, and search for "hello"
4. Click on close search button
  
Actual results:
"hi" is not saved.

Expected results:
"hi" should be saved as fuzzy, if the cell was empty.
Otherwise, keep the same approval status.
Comment 1 David Mason 2011-08-26 04:11:47 EDT
There is also a similar bug when a user has searched for a string and is editing one of the search results - if the user presses the 'X' on the search field to clear the text their typed text is not saved. I think this is probably part of this bug.
Comment 2 Sean Flanigan 2011-09-07 00:33:28 EDT
Assigning to Scrum product owner for prioritisation.
Comment 3 Alex Eng 2011-09-18 21:47:19 EDT
Problem resolved. 
Refer to https://bugzilla.redhat.com/show_bug.cgi?id=739422 for outstanding issue.
Comment 4 Ding-Yi Chen 2011-09-23 00:12:33 EDT
VERIFIED with Zanata version 1.4-alpha-2-SNAPSHOT (20110922-1647)

Note You need to log in before you can comment on or make changes to this bug.